<?xml version="1.0" encoding="UTF-8"?>
<schema targetNamespace="http://orei.inra.fr/configuration"
	elementFormDefault="qualified" xmlns="http://www.w3.org/2001/XMLSchema"
	xmlns:tns="http://orei.inra.fr/configuration">

	<element name="configuration" type="tns:configurationType"></element>

	<complexType name="configurationType">
		<annotation>
			<documentation>identifie l'application portail parent</documentation>
		</annotation>
		<sequence>
			<element name="id" type="string" maxOccurs="1" minOccurs="1" />
			<element name="siteSeparatorForFileNames" type="string" 
				maxOccurs="1" minOccurs="0" default="-" />
			
			<element name="name" type="tns:name" minOccurs="1" maxOccurs="unbounded">
				<annotation>
					<documentation>Le nom du plugin...nécessaire à l'affichage par
						l'interface de gestion des plugins
					</documentation>
				</annotation>
			</element>
			<element name="mailAdmin" type="string" minOccurs="1" 
				maxOccurs="1">
				<annotation>
					<documentation>Le mail de l'administrateur du systeme
					</documentation>
				</annotation>
			</element>
			<element name="mailHost" type="string" minOccurs="1" 
				maxOccurs="1">
				<annotation>
					<documentation>L'adresse du serveur de mail</documentation>
				</annotation>
			</element>
			<element name="repositoryURI" type="string" minOccurs="0" 
				maxOccurs="1" />
			<element name="localizations" type="tns:localizations"
				maxOccurs="1" minOccurs="1" />
				
				
			<element name="metadata" type="tns:metadata" maxOccurs="unbounded"
				minOccurs="1" />
			<element name="dataType" type="tns:dataType" minOccurs="0"
				maxOccurs="unbounded" />
			<element name="extraction" type="tns:extraction" maxOccurs="unbounded"
				minOccurs="0" />
		</sequence>
	</complexType>



	<complexType name="dataType">
		<sequence>
			<element name="name" type="tns:name" minOccurs="1" maxOccurs="unbounded">
				<annotation>
					<documentation>Ce nom permet de créer le nom du répertoire du jeu de données...attention
						le nom génère un code en remplaçant les " " par "_", les caractères accentués...</documentation>
				</annotation>
			</element>
			<element name="description" type="tns:description" minOccurs="1" maxOccurs="unbounded">
				<annotation>
					<documentation>la description qui pourra s'afficher dans des info-bulles'</documentation>
				</annotation>
			</element>
			<element name="recorder" type="string" minOccurs="1">
				<annotation>
					<documentation>Le nom complet de la classe Recorder associé à ce
						type de données</documentation>
				</annotation>
			</element>
			<element name="spring-dao" type="tns:springDaoType"
				maxOccurs="unbounded" minOccurs="0"></element>
			<element name="name-file-checkers" type="tns:nameFileCheckerType"
				maxOccurs="unbounded" minOccurs="0"></element>
		</sequence>
	</complexType>

	<complexType name="pluginRegistry">
		<sequence>
			<element name="host" type="string" minOccurs="1">
				<annotation>
					<documentation>Nom de domaine de l'application portail parent
					</documentation>
				</annotation>
			</element>
			<element name="port" type="int" minOccurs="1">
				<annotation>
					<documentation>port RMI de l'application portail parent
						(généralement 1099)</documentation>
				</annotation>
			</element>
			<element name="knockPort" type="int">
				<annotation>
					<documentation>Ce port est associé à un socket "canary" : si il est
						mort c'est que le portail est également mort.</documentation>
				</annotation>
			</element>
		</sequence>
	</complexType>

	<complexType name="metadata">
		<sequence>
			<element name="name" type="tns:name" minOccurs="1" maxOccurs="unbounded">
			</element>
			<element name="finalMetadata" type="boolean" minOccurs="0" maxOccurs="1" default="false">
			</element>
			<element name="recorder" type="string" maxOccurs="1"
				minOccurs="1">
			</element>
			<element name="spring-dao" type="tns:springDaoType"
				maxOccurs="unbounded" minOccurs="0">
			</element>

		</sequence>
	</complexType>



	<complexType name="springDaoType">
		<sequence>
			<element name="class" type="string" maxOccurs="1" minOccurs="1">
			</element>
		</sequence>
		<attribute name="order" type="integer" default="0" use="optional" />
	</complexType>

	<complexType name="outputDisplayType">
		<sequence>
			<element name="class" type="string" maxOccurs="1" minOccurs="1">
			</element>
		</sequence>
		<attribute name="number" type="integer" default="0" use="optional" />
	</complexType>



	<complexType name="nameFileCheckerType">
		<sequence>
			<element name="class" type="string" maxOccurs="1" minOccurs="1">
			</element>
		</sequence>
	</complexType>


	<complexType name="extraction">
		<sequence>
			<element name="name" type="tns:name" maxOccurs="unbounded" minOccurs="1">
				<annotation>
					<documentation>Le type de l'extraction (en général le thème). Ce nom permettra de générer le type d'extraction'
					</documentation>
				</annotation>
			</element>
			<element name="description" type="string" maxOccurs="1"
				minOccurs="0">
				<annotation>
					<documentation>Le type de l'extraction (en général le thème).
					</documentation>
				</annotation>
			</element>
			<element name="extractor" type="string" minOccurs="1">
				<annotation>
					<documentation>Le nom complet de la classe Recorder associé à ce
						type de données</documentation>
				</annotation>
			</element>
			<element name="outputDisplay" type="tns:outputDisplayType"
				maxOccurs="unbounded" minOccurs="0"></element>
		</sequence>
	</complexType>
	
	<complexType name="internationalizableString">
		<simpleContent>
			<extension base="string">
				<attribute name="language" type="string" default="fr" />
			</extension>
		</simpleContent>
	</complexType>
	<complexType name="name">
		<simpleContent>
			<extension base="tns:internationalizableString">
			</extension>
		</simpleContent>
	</complexType>
	<complexType name="description">
		<simpleContent>
			<extension base="tns:internationalizableString">
			</extension>
		</simpleContent>
	</complexType>

	<complexType name="localizations">
		<sequence>
			<element name="localization" type="tns:localization"
				maxOccurs="unbounded" minOccurs="1">
			</element>
		</sequence>
		<attribute name="defaultLanguage" type="string" default="fr" />
	</complexType>

	<complexType name="localization">
		<attribute name="language" type="string" default="fr" />
	</complexType>
</schema>